#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	XSAccessor
Summary:	Class::XSAccessor - Generate fast XS accessors without runtime compilation
Summary(pl.UTF-8):	Class::XSAccessor - generowanie szybkich funkcji dostępu XS bez kompilacji w czasie uruchomienia
Name:		perl-Class-XSAccessor
Version:	1.19
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5c5dea74f00ad37c5119dd22b28a5563
URL:		http://search.cpan.org/dist/Class-XSAccessor/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-AutoXS-Header >= 1.00
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::XSAccessor implements fast read, write and read/write accessors
in XS. Additionally, it can provide predicates such as has_foo() for
testing whether the attribute foo is defined in the object. It only
works with objects that are implemented as ordinary hashes.
Class::XSAccessor::Array implements the same interface for objects
that use arrays for their internal representation.

%description -l pl.UTF-8
Class::XSAccessor implementuje szybkie funkcje dostępu do odczytu,
zapisu lub odczytu/zapisu w XS. Dodatkowo potrafi zapewnić predykaty
takie jak has_foo() do sprawdzania, czy atrybut foo jest zdefiniowany
w obiekcie. Działa tylko z obiektami zaimplentowanymi jako zwykłe
hasze. Class::XSAccessor::Array implementuje ten sam interfejs dla
obiektów wykorzystujących tablice jako wewnętrzną reprezentację.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Class/*.pm
%dir %{perl_vendorarch}/Class/XSAccessor
%{perl_vendorarch}/Class/XSAccessor/*.pm
%dir %{perl_vendorarch}/auto/Class/XSAccessor
%attr(755,root,root) %{perl_vendorarch}/auto/Class/XSAccessor/XSAccessor.so
%{_mandir}/man3/Class::XSAccessor.3pm*
%{_mandir}/man3/Class::XSAccessor::*.3pm*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-XSAccessor.git;a=log;h=master

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> a20f958
- release 5

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> bdef137
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 25839a8
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 41b7f88
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 175e658
- updated to 1.19
- enhanced pl

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 58c6ba3
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> bec0f9b
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cdce2ee
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 563e43c
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 64fe664
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6414ff7
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 65862fa
- up to 1.13

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a7ccc86
- release 3

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> eead409
- added unpackaged files
- release 2

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 8a3f669
- updated to 1.05

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 541a8cb
- initial

